<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ofrezco.editarProducto"
    android:background="@drawable/fondo">

    <ImageView
        android:id="@+id/imgEditProducto"
        android:layout_width="match_parent"
        android:layout_height="300dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="20dp"
        android:src="@drawable/defaulfhombre"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <LinearLayout
        android:id="@+id/linearLayout33"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="20dp"
        android:gravity="center"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/imgEditProducto">

        <Button
            android:id="@+id/eliminarProducto"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:background="@drawable/eliminar" />

        <Button
            android:id="@+id/darBajaProducto"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_marginLeft="20dp"
            android:background="@drawable/darbaja" />

    </LinearLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:layout_marginEnd="20dp"
        app:layout_constraintBottom_toTopOf="@+id/linearLayout35"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout33">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout style="@style/layoutText">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:textColorHint="@color/colorBlanco">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/inputEditNombre"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="Nombre de Producto"
                        android:inputType="text"
                        android:textColor="@color/colorBlanco">

                    </com.google.android.material.textfield.TextInputEditText>

                </com.google.android.material.textfield.TextInputLayout>

            </LinearLayout>

            <LinearLayout style="@style/layoutText">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:textColorHint="@color/colorBlanco">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/inputEditStock"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="Stock"
                        android:inputType="number"
                        android:textColor="@color/colorBlanco">

                    </com.google.android.material.textfield.TextInputEditText>

                </com.google.android.material.textfield.TextInputLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="horizontal">

                <LinearLayout style="@style/layoutTextMedio">

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:textColorHint="@color/colorBlanco">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/inputEditSotckMaximo"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:hint="Stock Maximo"
                            android:inputType="number"
                            android:textColor="@color/colorBlanco">

                        </com.google.android.material.textfield.TextInputEditText>

                    </com.google.android.material.textfield.TextInputLayout>

                </LinearLayout>

                <LinearLayout style="@style/layoutTextMedio">

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:textColorHint="@color/colorBlanco">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/inputEditStockMinimo"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:hint="Stock Minimo"
                            android:inputType="number"
                            android:textColor="@color/colorBlanco">

                        </com.google.android.material.textfield.TextInputEditText>

                    </com.google.android.material.textfield.TextInputLayout>

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="horizontal">

                <LinearLayout style="@style/layoutTextMedio">

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:textColorHint="@color/colorBlanco">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/inputEditUnidadMedida"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:hint="Unidad de Medida"
                            android:inputType="number"
                            android:textColor="@color/colorBlanco">

                        </com.google.android.material.textfield.TextInputEditText>

                    </com.google.android.material.textfield.TextInputLayout>

                </LinearLayout>

                <LinearLayout style="@style/layoutTextMedio">

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:textColorHint="@color/colorBlanco">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/inputEditPrecio"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:hint="Precio Unitario"
                            android:inputType="number"
                            android:textColor="@color/colorBlanco">

                        </com.google.android.material.textfield.TextInputEditText>

                    </com.google.android.material.textfield.TextInputLayout>

                </LinearLayout>

            </LinearLayout>

        </LinearLayout>

    </ScrollView>

    <LinearLayout
        android:id="@+id/linearLayout35"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:layout_marginEnd="20dp"
        android:layout_marginBottom="20dp"
        android:gravity="center"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <Button
            android:id="@+id/btnEditGuardar"
            android:layout_width="150dp"
            android:layout_height="wrap_content"
            android:background="@drawable/boton_redondeado"
            android:backgroundTint="@color/colorBlanco"
            android:text="GUARDAR" />

        <Button
            android:id="@+id/btnEditCancelar"
            android:layout_width="150dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20dp"
            android:background="@drawable/boton_redondeado"
            android:backgroundTint="@color/colorNegro"
            android:text="CANCELAR"
            android:textColor="@color/colorBlanco" />

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>